me.legofreak107.vehiclesplus.vehicles.vehicles.enums

## Enum MovementType

- java.lang.Object
- - java.lang.Enum<MovementType>
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.enums.MovementType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MovementType>

    public enum MovementType
    extends java.lang.Enum<MovementType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AIR` Air movement only (Helicopter)
`LAND` Land movement only (Cars, bikes etc)
`LAND_AIR` Land and air movement (Planes)
`NONE` No movement
`WATER` Water movement only (Boat)
`WATER_AIR` Water and air movement (Sea planes)
`WATER_LAND` Water and land movement (Hovercraft)

### Method Summary

All Methods Static Methods Concrete Methods
`static MovementType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MovementType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LAND

    public static final MovementType LAND

Land movement only (Cars, bikes etc)

#### AIR

    public static final MovementType AIR

Air movement only (Helicopter)

#### WATER

    public static final MovementType WATER

Water movement only (Boat)

#### LAND_AIR

    public static final MovementType LAND_AIR

Land and air movement (Planes)

#### WATER_LAND

    public static final MovementType WATER_LAND

Water and land movement (Hovercraft)

#### WATER_AIR

    public static final MovementType WATER_AIR

Water and air movement (Sea planes)

#### NONE

    public static final MovementType NONE

No movement

### Method Detail

#### values

    public static MovementType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MovementType c : MovementType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MovementType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null